OpenCart 3.0 compatibility

ThemeBurn SupportForumsGeneralWhat’s new?OpenCart 3.0 compatibility

OpenCart 3.0 has been officially released. Even though it has been declared as final version, it is NOT yet compatible with any of our themes.

We think OpenCart is not yet ready for production and the final release is a bit hasty. Here are the main reasons:

- Not fully tested (only one pre-production release)
- Lack of third party extension support
- Performance problems
- Multiple unresolved issues in their tracker.

Nevertheless we are now working on a new BE version that will support OC3. For the moment there is no exact release date, as we will wait for at least several bug fix releases of the 3.x OpenCart branch before releasing anything (evens if it’s ready).

We expect BurnEngine compatibility with OpenCart 3 to come in late August 2017.

Thanks for your patience!

Best Regards,
ThemeBurn team

June 20, 2017 at 11:50 am #59970

Dear ThemeBurn team,

could you provide an update on how far along you are and when you’ll (probably) release an OC 3 compatible version? I would like to build another store using your theme and I would like to start with the new version. However, I can’t wait much longer.

Would be nice if you have an estimate.

Thanks & best,
Torge

September 18, 2017 at 2:48 pm #61707

I’m in the same boat. About to start two new sites and really want to use your theme but don’t want to start with an old version. Any news on when it will be compatible?

October 6, 2017 at 7:08 pm #61940

same boat here!!!
please provide some updates. thank you!

October 23, 2017 at 1:52 pm #62140

Is there any update on the release date of the BurnEngine version compatible with OC 3.x ?

October 30, 2017 at 4:40 pm #62253

@TB Support:

I am BurnEngine user, and recently installed AQC (a compatible extensions) however I found out it has bugs with custom fields on OC 2.3.0.2, the developer said I should update to OC3, because that would take much work to make it work on 2.3. However I cannot update since BurnEngine is not compatible yet with OC3. So I am just about to drop Opencart as a platform.

Couldn’t you guys to provide a clue if ANYTIME it will be compatible with OC3 and WHEN?
I think many and many customers of yours are asking that.

Time is ticking guys…

 tecoad
November 22, 2017 at 4:33 pm #62637

@tecoad:

Sorry for jumping into this thread, but would you mind telling me, what are the problems with custom fields in OC2.3?

Using myself 2.3 with heavy involvement of custom fields and wanted to install AQC soon.

 axanne
November 24, 2017 at 5:30 pm #62651

@axxane:

Do not waste your money and time. Ajax quick checkout is a complete waste of time to those who need extra fields. I have an issue that have been trying to get proper support for over 10 days.

Custom fields do not get saved, or get missed. Even non-custom fields customers type ‘Lorem ipsum” and get saved at database only “Lorem ips”. They says I should user OC 3.0.2, but I setup a fresh new server and the same occurred with latest OC and latest AQC.

They are trying to fix it, but are very inefficient doing so. I am pissed off.

 tecoad
November 24, 2017 at 7:08 pm #62655

Thanks for the feedback, tecoad!

 axanne
November 24, 2017 at 11:53 pm #62658

Hi,

BurnEngine WILL be made compatible with OC3 – doing otherwise would mean that we should drop our theme business which we don’t want for sure. Unfortunately we are sorry to say, but we will need to postpone the OpenCart 3 compatibility for the beginning of 2018. We had some non technical problems that changed our schedule completely.

@tecoad

We know that AQC provides an option to add extra fields and so does OpenCart. Which one these settings you are using? Or are they the same?

BR,
ThemeBurn team

November 26, 2017 at 11:51 am #62663

HI ThemeBurn team,

thank you very much for your update on this. I hope all is well with you guys personally and I am really glad to hear that you continue your theme business as I really love what you’ve done.

For my planning it’s great to have a date now. Would be great if you could keep the community here posted as early as possible if the date gets postponed again so that I / we could adapt our planning accordingly.

Thanks & best,
Torge

November 27, 2017 at 10:25 am #62670

@TB Support:

I make @diestadtgaertner words my words. You guys have made an incredible work, which anyone that knows Opencart knows that what you have built with BurnEngine is unique.

So, keep up guys, you can count on me.

About AQC, they use the same custom fields as Opencart, so they are not different ones.
The thing is that it’s completely inconsistent. Loose data any many bugs. As they are also building a new version only to OC3, they are almost not giving support to OC2 users.

 tecoad
November 27, 2017 at 6:02 pm #62675

Have to agree with the comments.

Really unique work for OC and I’d wish, there would be more developers, who could expend on your work. Especially the Page-Builder is the best tool among all tools.

What I like as well is trying to be compatible with OC standards, which makes it easier for other extensions to work with yours. Hope, you expend on that idea and try to make not too much custom stuff like the other themes thus breaking a lot of stuff.

And I hope, you also consider new trends (like web apps, PWA, AMP) and generally optimizations for mobile to improve performance on the client side.

 axanne
November 28, 2017 at 7:40 pm #62684

I am very worried about this…
No more replies on 3.0 compatibility, when it comes out, there will be Opencart 4 already.
From what I understand, Themeburn team just dropped the theme business.

This is very disapointing. No other modern themes are not compatible to OC3.

 tecoad
January 25, 2018 at 4:35 am #63293

is it compatible with open cart 3?

January 26, 2018 at 11:45 am #63313
Viewing 15 posts - 1 through 15 (of 31 total)
  • You must be logged in to reply to this topic.